.DS






.DE
.SH
Contents
.R
.sp 1
.IP 1.
Introduction
.IP 2.
Outline of the program
.IP 3.
What lint checks
.RS
.IP 3.1
Set, used and unused variables
.IP 3.2
Flow of control
.IP 3.3
Functions
.IP 3.4
Undefined evaluation order
.IP 3.5
Pointer alignment problems
.IP 3.6
Libraries
.RE
.IP 4.
How lint checks
.RS
.IP 4.1
The first pass data structure
.IP 4.2
The first pass checking mechanism
.IP 4.3
The second pass data structure
.IP 4.4
The second pass checking mechanism
.RE
.IP 5.
How to make lint shut up
.IP 6.
User options
.IP 7.
Ideas for further development
.IP 8.
Testing the program
.IP 9.
References
.LP
Appendix A \- The warnings
.br
Appendix B \- The Ten Commandments for C programmers
.bp
